package customersvc

const (
	TypLandLine = iota
	TypMobile
)

// Customer data structure
type Customer struct {
	ID    string `bson:"_id,omitempty"` // Could be anything else like UUID, or simple int
	Name  string
	Phone Phone
}

// Phone data structure
type Phone struct {
	Type   byte // 255 types
	Number string
}
