package sampleapp

func (s *SampleApp) InitRoutes() {

	// Customer routes
	cc := &CustomerController{s.CustomerSVC}
	s.router.Methods("GET").Path("/customer/{id}").HandlerFunc(LogHandler(cc.GetCustomerHandler))
	s.router.Methods("POST").Path("/customer").HandlerFunc(LogHandler(cc.PostCustomerHandler))

	// Prepare handlers and middleware
	s.router.HandleFunc("/", LogHandler(nil))

}
