package main

import (
	"sampleapp"
	"sampleapp/customersvc"

	mgo "gopkg.in/mgo.v2-unstable"
)

func main() {

	sess, err := mgo.Dial("localhost")
	if err != nil {
		panic(err)
	}
	db := sess.DB("sample_watt")

	s := sampleapp.New()
	// This kind of injection is not a good practice
	s.CustomerSVC = &customersvc.Service{db}

	// Initialize things like DB

	s.ListenAndServe(":8080")
}
